VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig:

## Avaliable Methods
public method | get_delay ()
public method | set_reason ()
public method | set_delay ()
public method | new ()
public method | get_reason ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig` class Structure that defines shutdown configuration.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig::get_delay | ( |  | ) |

Gets the value of 'delay' property.

Return values

  delay | - The current value of the field. Delay interval in minutes (optional). if you do not specify delay, then the shutdown starts immediately. long#

Code:
click to view
# Number of lines of code in get_delay: 4
sub get_delay {
my ($self, %args) = @_;
return $self->{'delay'};
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig::get_reason | ( |  | ) |

Gets the value of 'reason' property.

Return values

  reason | - The current value of the field. Reason for performing shutdown (required). String#

Code:
click to view
# Number of lines of code in get_reason: 4
sub get_reason {
my ($self, %args) = @_;
return $self->{'reason'};
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{delay} = $args{'delay'};
$self->{reason} = $args{'reason'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.shutdown.shutdown_config');
$self->set_binding_field('key' => 'delay', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'reason', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig::set_delay | ( |  | ) |

Sets the given value for 'delay' property.

Parameters

  delay | - New value for the field. Delay interval in minutes (optional). if you do not specify delay, then the shutdown starts immediately.

Code:
click to view
# Number of lines of code in set_delay: 5
sub set_delay {
my ($self, %args) = @_;
$self->{'delay'} = $args{'delay'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig::set_reason | ( |  | ) |

Sets the given value for 'reason' property.

Parameters

  reason | - New value for the field. Reason for performing shutdown (required).

Code:
click to view
# Number of lines of code in set_reason: 5
sub set_reason {
my ($self, %args) = @_;
$self->{'reason'} = $args{'reason'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Shutdown.pm